yin_s Struct Reference

## Data Fields

uint16 | frame_size
uint16 | search_threshold
| Size of analysis frame. More...
uint16 | search_range
| Range around best local estimate to search, in Q15.
uint16 | nfr
| Number of frames read so far. More...
unsigned char | wsize
| Size of smoothing window. More...
unsigned char | wstart
| First frame in window. More...
unsigned char | wcur
| Current frame of analysis. More...
unsigned char | endut
| Hoch Hech! Are we at the utterance end?
fixed32 ** | diff_window
| Window of difference function outputs. More...
uint16 * | period_window
| Window of best period estimates. More...

## Detailed Description

Definition at line 50 of file yin.c.

## Field Documentation

## diff_window

fixed32** yin_s::diff_window

Window of difference function outputs.

Definition at line 61 of file yin.c.

Referenced by yin_free(), and yin_read().

## nfr

uint16 yin_s::nfr

Number of frames read so far.

Definition at line 54 of file yin.c.

Referenced by yin_read(), and yin_start().

## period_window

uint16* yin_s::period_window

Window of best period estimates.

Definition at line 62 of file yin.c.

Referenced by yin_free(), and yin_read().

## search_threshold

uint16 yin_s::search_threshold

Size of analysis frame.

Threshold for finding period, in Q15

Definition at line 52 of file yin.c.

Referenced by yin_init().

## wcur

unsigned char yin_s::wcur

Current frame of analysis.

Definition at line 58 of file yin.c.

Referenced by yin_read().

## wsize

unsigned char yin_s::wsize

Size of smoothing window.

Definition at line 56 of file yin.c.

Referenced by yin_read(), and yin_write().

## wstart

unsigned char yin_s::wstart

First frame in window.

Definition at line 57 of file yin.c.

Referenced by yin_read(), yin_start(), and yin_write().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/yin.c